Bug 682500

Summary: Latvian locale is not using Monday as first week day
Product: [Fedora] Fedora Reporter: Zirneklitis <k_a_r_l_o_>
Component: glibcAssignee: Jeff Law <law>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 16CC: fweimer, jakub, law, piotrdrag, trans
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: All   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-04-03 17:21:23 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Zirneklitis 2011-03-06 08:14:51 UTC
Description of problem: When the system locale is set to Latvian(lv_LV), calendar applications, like gnome clock applet, shows Sunday as the first day of the week. It should be Monday.

The same problem as https://bugzilla.redhat.com/show_bug.cgi?id=622499

How reproducible:

Steps to Reproduce:
1. Choose "Latvian" as the system language.
2. Log-in
3. Click on clock applet to see the calendar.
  
Actual results:

Sunday is shown as first day of the week in place of Monday.

Expected results:

Monday must be as the first day of the week.


Additional info:
http://unicode.org/repos/cldr-tmp/trunk/diff/supplemental/territory_language_information.html#LV

Comment 2 Piotr Drąg 2012-04-03 17:02:46 UTC
It's glibc issue.

Comment 3 Jeff Law 2012-04-03 17:21:23 UTC
Fixed in rawhide & f17.

Comment 4 Fedora Update System 2012-04-05 02:39:39 UTC
glibc-2.15-32.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/glibc-2.15-32.fc17

Comment 5 Fedora Update System 2012-04-12 03:45:24 UTC
glibc-2.15-32.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.